<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Тестовое задание: Файл data_server.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Тестовое задание
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Титульная&#160;страница</span></a></li>
      <li><a href="annotated.html"><span>Классы</span></a></li>
      <li class="current"><a href="files.html"><span>Файлы</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>Файлы</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Классы</a> &#124;
<a href="#define-members">Макросы</a>  </div>
  <div class="headertitle">
<div class="title">Файл data_server.h</div>  </div>
</div><!--header-->
<div class="contents">

<p>Заголовочный файл с описанием классов  
<a href="#details">Подробнее...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;map&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
</div>
<p><a href="data__server_8h_source.html">См. исходные тексты.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Классы</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_blob.html">DataBlob</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Класс описания Блоба для хранения данных  <a href="class_data_blob.html#details">Подробнее...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_data_server.html">DataServer</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Класс описания работы сервера для хранения данных  <a href="class_data_server.html#details">Подробнее...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Макросы</h2></td></tr>
<tr class="memitem:a4a8bec941d32acc2e0c33423a61e661f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a8bec941d32acc2e0c33423a61e661f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>STORAGE_FILENAME</b>&#160;&#160;&#160;&quot;data_&quot;</td></tr>
<tr class="separator:a4a8bec941d32acc2e0c33423a61e661f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad05e0f65ac5e3761b23059d1e55c771e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad05e0f65ac5e3761b23059d1e55c771e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>STORAGE_DIRECTORY</b>&#160;&#160;&#160;&quot;.&quot;</td></tr>
<tr class="separator:ad05e0f65ac5e3761b23059d1e55c771e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Заголовочный файл с описанием классов </p>
<p>Содержит определения основных классов, необходимых для выполнения тестового задания </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Документация по Тестовое задание. Последние изменения: Вт 13 Сен 2016 20:23:58. Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
